/* ----------------------------------------------------------------------------
 *
 * Raima Database Manager
 *
 * Copyright (c) 2012 Raima Inc.,  All rights reserved.
 *
 * Use of this software, whether in source code format, or in executable,
 * binary object code form, is governed by the Raima LICENSE which
 * is fully described in the LICENSE.TXT file, included within this
 * distribution of files.
 *
 * ----------------------------------------------------------------------------
 */

/* EXAMPLE - Database for Core08 example */
/* This is the DDL (Database Definition Language) for a sample database
 * that could store sales information.  There is only one record type defined
 * called office, it has a single indexed field called name.
 *
 * This schema file should be processed using the ddlp utility using the
 * -c option to create an embedded dbd file.  The -c option will generate
 * a c header file (core08_db_dbd.h) and a c source file (core08_db_dbd.c)
 * which can be compiled into the application and used with the d_open_ptr
 * API to create the database if it does not already exist.
 * 
 * The following command was used to generate the database structure used in
 * this example:
 *
 * ddlp -c -d core08_db.ddl
 */

database core08_db {
    data file "core08_db.d01" contains office;
    key  file "core08_db.k01" contains name;

    record office {
        key char    name[32];
    }
}

